org.apache.ignite.ml.inference.storage.model

## Class LocalModelStorageProvider

- java.lang.Object
- - org.apache.ignite.ml.inference.storage.model.LocalModelStorageProvider

- All Implemented Interfaces:
    ModelStorageProvider

      public class LocalModelStorageProvider
      extends Object
      implements ModelStorageProvider

  Implementation of `ModelStorageProvider` based on local `ConcurrentHashMap`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocalModelStorageProvider()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `FileOrDirectory` | `get(String key)` Returns file or directory associated with the specified path.
    `Lock` | `lock(String key)` Locks the specified path.
    `void` | `put(String key, FileOrDirectory file)` Saves file or directory associated with the specified path.
    `void` | `remove(String key)` Removes file or directory associated with the specified path.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LocalModelStorageProvider

          public LocalModelStorageProvider()

  - ### Method Detail

    - #### get

          public FileOrDirectory get(String key)

      Returns file or directory associated with the specified path.
      Specified by:
        `get` in interface `ModelStorageProvider`
      Parameters:
        `key` - Path of file or directory.
      Returns:
        File or directory associated with the specified path.

    - #### put

          public void put(String key,
                          FileOrDirectory file)

      Saves file or directory associated with the specified path.
      Specified by:
        `put` in interface `ModelStorageProvider`
      Parameters:
        `key` - Path to the file or directory.
        `file` - File or directory to be saved.

    - #### remove

          public void remove(String key)

      Removes file or directory associated with the specified path.
      Specified by:
        `remove` in interface `ModelStorageProvider`
      Parameters:
        `key` - Path to the file or directory.

    - #### lock

          public Lock lock(String key)

      Locks the specified path.
      Specified by:
        `lock` in interface `ModelStorageProvider`
      Parameters:
        `key` - Path to be locked.

2020 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.9.0
Release Date | : October 15 2020